%global zikula_base             %{_datadir}/zikula
%global zikula_moddir           %{zikula_base}/modules
%global zikula_modname          EZComments

Name:           zikula-module-%{zikula_modname}
Version:        0.1.61
Release:        2%{?dist}
Summary:        Simple Zikula module that provides comment functions to other modules

Group:          Applications/Publishing
License:        GPLv2+
URL:            http://code.zikula.org/ezcomments
Source0:        module_%{zikula_modname}_1-61.zip
Source1:        license.eml
# Source URL is dynamically generated. Go to URL to fetch it
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#BuildRequires:
Requires:       zikula

%description
EZComments is a Zikula module that provides comment functions 
for other modules.


%prep
%setup -qn modules/%{zikula_modname}
# Remove empty index.html and others
find -size 0 | xargs rm -f

# Rpmlint warnings E: script-without-shebang
find . -type f -name '*.php' -exec chmod 0644 '{}' \;
find . -type f -name '*.css' -exec chmod 0644 '{}' \;
find . -type f -name '*.htm' -exec chmod 0644 '{}' \;
find . -type f -name '*.js' -exec chmod 0644 '{}' \;

# Copy additional license information
cp -p %SOURCE1 pndocs

# Fix encoding issues with rpmlint
iconv -f iso8859-1 -t utf-8 pndocs/credits.txt > pndocs/credits.txt.conv && mv -f pndocs/credits.txt.conv pndocs/credits.txt

%build


%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname} 
cp -pr . $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}
rm -rf $RPM_BUILD_ROOT/%{zikula_moddir}/%{zikula_modname}/pndocs

# Fix permissions for docs
chmod 0644 pndocs/*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc pndocs/changelog.txt pndocs/license.txt pndocs/credits.txt pndocs/license.eml
%{zikula_moddir}/%{zikula_modname}


%changelog
* Wed Oct 28 2009 Sebastian Dziallas <sebastian@when.com> - 0.1.61-2
- some changes to reflect licensing and calm rpmlint down

* Mon Sep 14 2009 Mel Chua <mchua@fedoraproject.org> - 0.1.61-1 
- Initial RPM release
